<?php
/*
    Plugin Name: vbuttons
    Plugin URI: http://www.Vibethemes.com
    Description: Add sleek buttons to your wordpress theme brought to you by <a href="http://www.vibethemes.com/" title="premium wordpress themes">VibeThemes</a>.
    Author: CoolVibe
    Version: 1.0
    Author URI: http://www.Vibethemes.com/

	vibebuttons is released under GPL:
	http://www.opensource.org/licenses/gpl-license.php
*/

if (!defined('WP_PLUGIN_URL')) {
	define('WP_PLUGIN_URL', plugins_url());
}

    
add_action('wp_print_styles', 'vbuttons_style');
    
function vbuttons_style() {
        wp_register_style('v-css', WP_PLUGIN_URL.'/vbuttons/css/button.css');
        wp_enqueue_style( 'v-css');
        }
    
add_shortcode('vbutton', 'vbutton');


function vbutton($atts, $content = null) {
	extract(shortcode_atts(array(
		"url" => 'http://',
		"color" => 'blue'
	), $atts));
	
	$url=addhttp($url);
	return '<a href="'.$url.'" class="'.$color.'Button"><span>'.$content.'</span></a>';
}


function addhttp($url) {
    if (!preg_match("~^(?:f|ht)tps?://~i", $url)) {
        $url = "http://" . $url;
    }
    return $url;
}
